Jump to content

Recommended Posts

Bonjour,

Je suis actuellement sous version 1.6.1.20 et dans les informations en back-office il est précisé Version de PHP 5.4.45

Du coté hébergement OVH il est indiqué Version PHP globale  7.3 BETA ...

Je ne comprend pas pourquoi l’hébergement et en 7.3 beta et le site en 5.4.45....

Quelqu’un pourrai m'expliquer svp ?

Share this post


Link to post
Share on other sites

Voir ton .htaccess qui contient surement l'ancienne directive

Prestashop 1.6.1.20, certifié PHP5.6 fonctionne probablement en PHP7.1 (mais absolument pas en php7.3)

Autre possibilité un .ovhconfig dans votre répertoire qui surcharge le réglage panel

Sinon, contactez le support OVH

Share this post


Link to post
Share on other sites

Bonjour doekia je ne vois malheureusement aucune info sur la version php dans le . htaccess

juste deux lignes de code :

RewriteRule ^api/(.*)$ %{ENV:REWRITEBASE}webservice/dispatcher.php?url=$1 [QSA,L]

RewriteRule ^.*$ %{ENV:REWRITEBASE}index.php [NC,L]

Et aucun fichier .ovhconfig

 

😓

Share this post


Link to post
Share on other sites

Bonjour,

Sur OVH normalement si je ne me trompe pas, nous pouvons modifier la version de PHP par sous-domaine donc le probleme viens surement de là. Mis a part il est pas conseiller de mettre la version de php 7.3 sur cette version de prestashop voici les versions de php qui correspondent aux versions de prestashop

tableau des versions compatible

@+

David

Share this post


Link to post
Share on other sites

Merci David mais je n'ai pas  de sous domaine ceci étant le domaine principale relié à un hebergement mutu.

Quelle version de php me préconisé vous ? et comment de ce fait  faire la modification ?

Merci par avance

Share this post


Link to post
Share on other sites

non je n'ai aucun fichier .ovhconfig  et je ne comprend pas pourquoi l’hébergement m'annonce du php 7.3 et en back office 5.4.45 ..

Surtout que je pense pas que ma version 1.6.1.2  peu tourner avec php7.3

😫

Share this post


Link to post
Share on other sites

Si c'ets pas dans un fichier ovhconfig, si cela n'est pas dans le htaccess si le domaine n'est pas configuré avec cette version de PHP alors à moins de plonger à votre place dans tout cela je ne crois pas que l'on puisse vous aider.

Share this post


Link to post
Share on other sites

Pourquoi essayer ? Prestashop annonce la compatibilité avec cette version de PHP mais c'est au niveau des modules qu'il risque d'y avoir des soucis si ils ne sont pas à jour...

Share this post


Link to post
Share on other sites

c'est à ni rien comprendre ....

J'ai lancer un scan FTP avec .ovhconfig resultat  0 fichier 

J'ai modifié directement  en back-officevia OVH la version PHP globale en 5.6 

dans le back office presta j'ai maintenant  Version de PHP 5.6.40

Je ne comprend pas ou est le lien 🤪

Share this post


Link to post
Share on other sites

oui parce que la version 5.6.40 est la dernière version de la 5.6 et si tu as mis la version 5.6 dans le BO d'ovh il est normal que tu es cette version

Share this post


Link to post
Share on other sites

Car le système est comme ça tout dépend des hébergeurs et ils ne sont pas tous comme ça, si tu vas par exemple chez infomaniak il y a bien un fichier de config, chez LWS il n'y a rien... Et pour tout cela la config ce fait directement dans le BO de l'hébergeur et pour certains il y a une surcharge de cette config via un fichier qui est présent dans la racine du dossier du site....

Share this post


Link to post
Share on other sites

le fichier .ovhconfig n'est qu'une surcharge, il n'est pas indispensable, mais si il est présent alors il prend le dessus sur la config du panel (BO d'OVH) c'est ce qu'on appel une surcharge

Share this post


Link to post
Share on other sites

Mais sur un mutualisé je ne crois pas que les surcharge soit prise en compte seul la config du panel prime....

Share this post


Link to post
Share on other sites
il y a 17 minutes, David SCHLAMA a dit :

Mais sur un mutualisé je ne crois pas que les surcharge soit prise en compte seul la config du panel prime....

Non c'est justement un mécanisme exclusif aux mutualisés OVH

Share this post


Link to post
Share on other sites
il y a 6 minutes, doekia a dit :

Non c'est justement un mécanisme exclusif aux mutualisés OVH

Autant pour moi merci pour cette correction

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More